{{- $variant := "hybris" -}}
{{- $architecture := or .architecture "arm64" -}}
{{- $image := or .image (printf "ubuntu-touch-%s-rootfs-%s.tar.gz" $variant $architecture) -}}
{{- $cdimagesmirror := or .cdimagesmirror "http://cdimage.ubuntu.com" -}}
{{- $additional_apt_repos := or .additional_apt_repos "" -}}
{{- $phablet_password := or .phablet_password "" }}
{{- $ut_version_major := or .ut_version_major "focal" -}}

---

architecture: {{ $architecture }}
actions:
  - action: recipe
    description: Setup base rootfs
    recipe: bases/{{ $ut_version_major }}.yaml
    variables:
      architecture: {{ $architecture }}
      cdimagesmirror: {{ $cdimagesmirror }}
      skip_remove_apt_user: true
      additional_apt_repos: {{ $additional_apt_repos }}

  - action: recipe
    description: Create Ubuntu Touch rootfs
    recipe: ubuntu-touch-common.yaml
    variables:
      architecture: {{ $architecture }}
      variant: {{ $variant }}
      ut_version_major: {{ $ut_version_major }}

  - action: recipe
    description: Finalizing image in for system-image consumption.
    recipe: finalize-system-image.yaml
    variables:
      architecture: {{ $architecture }}
      image: {{ $image }}
      phablet_password: {{ $phablet_password }}
